<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.24
Name: Dimissione (VPS)
Description: Discharge note (LOINC: 28574-2)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000">
   <title>Dimissione (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]
Item: (Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]"
         id="d42e1221-false-d63187e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Dimissione): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']) &gt;= 1">(Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']) &lt;= 1">(Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '28574-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Dimissione): element hl7:code[(@code = '28574-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '28574-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Dimissione): element hl7:code[(@code = '28574-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="count(hl7:title) &lt;= 1">(Dimissione): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="count(hl7:text) &gt;= 1">(Dimissione): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="count(hl7:text) &lt;= 1">(Dimissione): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']"
         id="d42e1227-false-d63295e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.24')">(Dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.24'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:code[(@code = '28574-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:code[(@code = '28574-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e1232-false-d63307e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="@nullFlavor or (@code='28574-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Note di Dimissione' and @codeSystemName='LOINC')">(Dimissione): The element value SHALL be one of 'code '28574-2' codeSystem '2.16.840.1.113883.6.1' displayName='Note di Dimissione' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:title
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:title"
         id="d42e1237-false-d63320e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="text()='Dimissione'">(Dimissione): the element content of hl7:title SHALL be ''Dimissione''. Found: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:text
Item: (Dimissione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Dimissione): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.65']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Dimissione): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.72']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Dimissione): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.86']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.86']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Dimissione): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.24
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.24']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Dimissione): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
