<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.29
Name: Terapia farmacologica in Pronto Soccorso (VPS)
Description: Medication (LOINC: 29549-3)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000">
   <title>Terapia farmacologica in Pronto Soccorso (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.29
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]
Item: (Terapia_farmacologica_in_Pronto_Soccorso)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.29
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]
Item: (Terapia_farmacologica_in_Pronto_Soccorso)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]"
         id="d42e1477-false-d63517e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Terapia_farmacologica_in_Pronto_Soccorso): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Terapia_farmacologica_in_Pronto_Soccorso): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']) &gt;= 1">(Terapia_farmacologica_in_Pronto_Soccorso): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']) &lt;= 1">(Terapia_farmacologica_in_Pronto_Soccorso): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '29549-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Terapia_farmacologica_in_Pronto_Soccorso): element hl7:code[(@code = '29549-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '29549-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Terapia_farmacologica_in_Pronto_Soccorso): element hl7:code[(@code = '29549-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="count(hl7:title) &lt;= 1">(Terapia_farmacologica_in_Pronto_Soccorso): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="count(hl7:text) &gt;= 1">(Terapia_farmacologica_in_Pronto_Soccorso): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="count(hl7:text) &lt;= 1">(Terapia_farmacologica_in_Pronto_Soccorso): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.29
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']
Item: (Terapia_farmacologica_in_Pronto_Soccorso)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']"
         id="d42e1483-false-d63578e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.29')">(Terapia_farmacologica_in_Pronto_Soccorso): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.29'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.29
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:code[(@code = '29549-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Terapia_farmacologica_in_Pronto_Soccorso)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:code[(@code = '29549-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e1488-false-d63590e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="@nullFlavor or (@code='29549-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medication administered Narrative' and @codeSystemName='LOINC')">(Terapia_farmacologica_in_Pronto_Soccorso): The element value SHALL be one of 'code '29549-3' codeSystem '2.16.840.1.113883.6.1' displayName='Medication administered Narrative' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.29
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:title
Item: (Terapia_farmacologica_in_Pronto_Soccorso)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:title"
         id="d42e1493-false-d63603e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="text()='Terapia farmacologica in Pronto Soccorso'">(Terapia_farmacologica_in_Pronto_Soccorso): the element content of hl7:title SHALL be ''Terapia farmacologica in Pronto Soccorso''. Found: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.29
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:text
Item: (Terapia_farmacologica_in_Pronto_Soccorso)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.29
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]
Item: (Terapia_farmacologica_in_Pronto_Soccorso)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.29']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="string(@typeCode) = ('COMP')">(Terapia_farmacologica_in_Pronto_Soccorso): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Terapia_farmacologica_in_Pronto_Soccorso): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
