<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.74
Name: Terapia farmacologica alla dimissione (VPS)
Description: Discharge meds (LOINC: 75311-1)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000">
   <title>Terapia farmacologica alla dimissione (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]"
         id="d42e3518-false-d71163e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]) &gt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]) &lt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]"
         id="d42e3535-false-d71250e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Terapia_farmacologica_alla_dimissione): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Terapia_farmacologica_alla_dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']) &gt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']) &lt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:id) &lt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:code[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:title) &lt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:text) &gt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="count(hl7:text) &lt;= 1">(Terapia_farmacologica_alla_dimissione): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']"
         id="d42e3541-false-d71346e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.74')">(Terapia_farmacologica_alla_dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.74'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:id
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:code[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:code[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e3548-false-d71366e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="@nullFlavor or (@code='75311-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Discharge medications Narrative' and @codeSystemName='LOINC')">(Terapia_farmacologica_alla_dimissione): The element value SHALL be one of 'code '75311-1' codeSystem '2.16.840.1.113883.6.1' displayName='Discharge medications Narrative' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:title
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:title"
         id="d42e3557-false-d71379e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="text()='Terapia farmacologica alla dimissione'">(Terapia_farmacologica_alla_dimissione): the element content of hl7:title SHALL be ''Terapia farmacologica alla dimissione''. Found: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:text
Item: (Terapia_farmacologica_alla_dimissione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]
Item: (Terapia_farmacologica_alla_dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]">
      <extends rule="d71534e0-false-d71555e0"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (Terapia_farmacologica_alla_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (assignedAuthor_BodyVps)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor">
      <extends rule="d71534e17-false-d71654e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(assignedAuthor_BodyVps): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:assignedPerson) &lt;= 1">(assignedAuthor_BodyVps): element hl7:assignedPerson appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[not(@nullFlavor)]
Item: (assignedAuthor_BodyVps)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (assignedAuthor_BodyVps)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(assignedAuthor_BodyVps): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(assignedAuthor_BodyVps): element hl7:name[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (assignedAuthor_BodyVps)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]
Item: (CDAAuthorBody)
-->
   <rule fpi="RULC-1" id="d71534e0-false-d71555e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@typeCode) = ('AUT') or not(@typeCode)">(CDAAuthorBody): The value for typeCode SHALL be 'AUT'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAAuthorBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAAuthorBody): element hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time) &gt;= 1">(CDAAuthorBody): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAAuthorBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(CDAAuthorBody): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(CDAAuthorBody): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAAuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAAuthorBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (CDAAuthorBody)
-->
   <rule fpi="RULC-1" id="d71534e17-false-d71654e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(CDAAuthorBody): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:id) &gt;= 1">(CDAAuthorBody): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAAuthorBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAAuthorBody): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(CDAAuthorBody): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:code
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:addr
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:telecom
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(CDAPerson): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPerson): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(CDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode) &lt;= 1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf) &lt;= 1">(CDAOrganization): element hl7:asOrganizationPartOf appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('PART') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'PART'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAOrganization): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(CDAOrganization): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDAOrganization): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization) &lt;= 1">(CDAOrganization): element hl7:wholeOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): The element value SHALL be one of '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode) &lt;= 1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]
Item: (Terapia_farmacologica_alla_dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.74']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Terapia_farmacologica_alla_dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Terapia_farmacologica_alla_dimissione): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
