<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.331
Name: Terapie Farmacologiche PS (VPS)
Description: Pharmacological Therapies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344">
   <title>Terapie Farmacologiche PS (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]"
         id="d42e7314-false-d77623e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@classCode) = ('SBADM')">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@moodCode) = ('INT')">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'INT'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:routeCode) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:routeCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:approachSiteCode) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:approachSiteCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:doseQuantity) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:rateQuantity) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:rateQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:administrationUnitCode) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:administrationUnitCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']"
         id="d42e7324-false-d77744e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.52')">(Terapie_Farmacologiche_dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.52'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e7329-false-d77756e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@nullFlavor or (@code='completed')">(Terapie_Farmacologiche_dimissione): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:effectiveTime
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:effectiveTime
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:effectiveTime
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:routeCode
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:approachSiteCode
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:doseQuantity
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:rateQuantity
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:administrationUnitCode
Item: (Terapie_Farmacologiche_dimissione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]
Item: (Prodotto_fabbricato1)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@classCode) = ('MANU') or not(@classCode)">(Prodotto_fabbricato1): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']) &gt;= 1">(Prodotto_fabbricato1): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']) &lt;= 1">(Prodotto_fabbricato1): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']
Item: (Prodotto_fabbricato1)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.53')">(Prodotto_fabbricato1): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.53'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:id
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:manufacturedMaterial
Item: (Prodotto_fabbricato1)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:manufacturedMaterial">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@classCode) = ('MMAT') or not(@classCode)">(Prodotto_fabbricato1): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@determinerCode) = ('KIND') or not(@determinerCode)">(Prodotto_fabbricato1): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:code) &gt;= 1">(Prodotto_fabbricato1): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:code) &lt;= 1">(Prodotto_fabbricato1): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:name) &lt;= 1">(Prodotto_fabbricato1): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:manufacturedMaterial/hl7:code
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:manufacturedMaterial/hl7:code/hl7:translation
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']]/hl7:manufacturedMaterial/hl7:name
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]
Item: (particprichiedente)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="@typeCode">(particprichiedente): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('REF')))])">(particprichiedente): The value for typeCode SHALL be 'code REF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="count(hl7:time) &lt;= 1">(particprichiedente): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(particprichiedente): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(particprichiedente): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]/hl7:time
Item: (particprichiedente)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]/hl7:participantRole
Item: (particprichiedente)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]/hl7:participantRole">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(particprichiedente): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="count(hl7:playingEntity) &lt;= 1">(particprichiedente): element hl7:playingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]/hl7:participantRole/hl7:id
Item: (particprichiedente)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity
Item: (particprichiedente)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="count(hl7:name) &gt;= 1">(particprichiedente): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.8-2018-03-19T000000.html"
              test="count(hl7:name) &lt;= 1">(particprichiedente): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:participant[@typeCode = 'REF'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (particprichiedente)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]"
         id="d42e7421-false-d78079e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:observation) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:observation) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]/hl7:observation
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]/hl7:observation"
         id="d42e7427-false-d78095e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:code) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:code) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:value) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:value) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:code
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:code"
         id="d42e7433-false-d78127e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@code">(Terapie_Farmacologiche_dimissione): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Terapie_Farmacologiche_dimissione): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@codeSystem">(Terapie_Farmacologiche_dimissione): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Terapie_Farmacologiche_dimissione): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:value
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:value"
         id="d42e7447-false-d78151e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@nullFlavor or ($xsiLocalName='REAL' and $xsiLocalNS='urn:hl7-org:v3')">(Terapie_Farmacologiche_dimissione): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:REAL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]"
         id="d42e7458-false-d78163e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@typeCode) = ('COMP')">(Terapie_Farmacologiche_dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:observation) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:observation) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation"
         id="d42e7466-false-d78183e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:code) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:code) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:value) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:value) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:code
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:code"
         id="d42e7472-false-d78215e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@code">(Terapie_Farmacologiche_dimissione): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Terapie_Farmacologiche_dimissione): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@codeSystem">(Terapie_Farmacologiche_dimissione): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Terapie_Farmacologiche_dimissione): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:value
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:value"
         id="d42e7486-false-d78239e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@nullFlavor or ($xsiLocalName='REAL' and $xsiLocalNS='urn:hl7-org:v3')">(Terapie_Farmacologiche_dimissione): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:REAL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]"
         id="d42e7497-false-d78251e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@typeCode) = ('COMP')">(Terapie_Farmacologiche_dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:supply) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:supply is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:supply) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:supply appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply"
         id="d42e7505-false-d78271e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@classCode) = ('SPLY') or not(@classCode)">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'SPLY'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="string(@moodCode) = ('RQO') or not(@moodCode)">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'RQO'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:quantity) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:quantity is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="count(hl7:quantity) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:quantity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.331
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply/hl7:quantity
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.52']]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply/hl7:quantity"
         id="d42e7511-false-d78295e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.331-2023-05-17T114344.html"
              test="@value">(Terapie_Farmacologiche_dimissione): attribute @value SHALL be present.</assert>
   </rule>
</pattern>
